# Uses of Record Class
jdk.jshell.execution.JdiDefaultExecutionControl.JdiStarter.TargetDescription

Packages that use JdiDefaultExecutionControl.JdiStarter.TargetDescription
Package
Description
jdk.jshell.execution
Provides implementation support for building JShell execution engines.

## Uses of JdiDefaultExecutionControl.JdiStarter.TargetDescription in jdk.jshell.execution

Methods in jdk.jshell.execution that return JdiDefaultExecutionControl.JdiStarter.TargetDescription
Modifier and Type
Method
Description
`JdiDefaultExecutionControl.JdiStarter.TargetDescription`
JdiDefaultExecutionControl.JdiStarter.`start(ExecutionEnv env, Map<String,String> parameters, int port)`
Start the external process based on the given parameters.